/********************************************************************************
    inputstreamtest - simple example to test fileio pushback
 ********************************************************************************
    LibVideoCoding - video coding library
    Copyright (C) 2002  Dirk Farin

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ********************************************************************************/


#include <libvideocoding/fileio/inputstream_istr.hh>

#include <iostream>
using namespace std;
using namespace videocoding;

char* spaces = "                              ";

int main()
{
  uint8 buffer[21];
  buffer[20]=0;

  InputStream_IStream istr;
  istr.SetIStream(cin);

  for (int x=0;x<30;x++)
    {
      istr.FillBuffer(buffer,20);
      cout << &spaces[30-x] << '>' << buffer << '<' << endl;
      istr.Pushback(&buffer[1],19);
    }

  return 0;
}
